Package org.h2gis.functions.io.osm

# Class OSMTags

java.lang.Object
org.h2gis.functions.io.osm.OSMTags

public class OSMTags extends Object
Commons elments used by the OSM format

Author:
  Erwan Bocher

## Field Summary

Fields
Modifier and Type
Field
Description
`static String`
`CHANGE_SET`
`static final int`
`NODEFIELDCOUNT`
`static String`
`TIMESTAMP`
`static String`
`UID`
`static String`
`USER`
`static String`
`VERSION`
`static String`
`VISIBLE`
`static final int`
`WAYFIELDCOUNT`

## Constructor Summary

Constructors
Constructor
Description
`OSMTags()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### USER

public static String USER

### UID

public static String UID

### VISIBLE

public static String VISIBLE

### VERSION

public static String VERSION

### CHANGE_SET

public static String CHANGE_SET

### TIMESTAMP

public static String TIMESTAMP

### NODEFIELDCOUNT

public static final int NODEFIELDCOUNT

See Also:
  - Constant Field Values

### WAYFIELDCOUNT

public static final int WAYFIELDCOUNT

See Also:
  - Constant Field Values

## Constructor Details

### OSMTags

public OSMTags()